export  let clientEnumConfig = {
}


/**
 * 支部名称 branchName
 */
export enum BRANCHNAMETYPE {
    党总支 = 1,
    牙防所第一支部,
    牙防所第二支部,
    牙防所第三支部,
    牙防所第四支部
}


/**
 * 党内职务 partyPositions
 */
export enum PARTYPOSITIONSICON {
    支部书记 = 1,
    支部副书记,
    纪检委员,
    组织委员,
    宣传委员,
    党员,
    入党积极分子,
    预备党员,
}


/**
 * 党内职务 partyPositions
 */
 export enum PARTYPOSITIONS {
    支部书记 = 1,
    支部副书记,
    纪检委员,
    组织委员,
    宣传委员
}


/**
 * 行政职务 administrativePosition 
 */
export enum ADMINISTRATIVEPOSITION {
    职员 = 1,
    护理部主任,
    康健分所主任,
    口腔颌面外科副主任,
    医务科副科长
}


/**
 * 名册录入类型
 */
export enum ENTRYTYPE {
    正式党员 = 1,
    入党积极分子,
    预备党员
}


/** 
 * 党建活动类型
*/
export enum ACTIVITYTYPE {
    日常教育培训 = 1,
    主题党日活动,
    骨干队伍培训,
    支部工作会,
    二十大精神,
    三会一课
}


/**
 * 党建资讯类型
 */
export enum INFORMATIONTYPE {
    医院文化 = 1,
    精神文明,
    科普知识,
    先进典型
}


/**
 * 性别
 */
export enum SEX {
    男 = 1,
    女
}


/**
 * 验证码类型
 */
export enum CODETYPE {
    修改密码 = 1,
}


/**
 * 文化程度
 */
 export enum DEGREE {
    初中 = 1,
    高中,
    大专,
    本科,
    硕士,
    博士
}


/**
 *  所属科室 department
 */
export enum DEDPARTMENT {
    口腔科 = 1,
    正畸科,
    口腔恢复科,
    颁面外科,
    牙体牙髓科,
    牙周科,
    儿童口腔科
}


/**
 * 党建先锋 荣誉类型 honorType
 */
export enum HONORTYPE {
    支部先锋 = 1,
    模范党员,
}


/**
 * 党建先锋 荣誉类型 honorLevel
 */
 export enum HONORLEVEL {
    区级荣誉 = 1,
    市级荣誉,
}


/**
 * 党建先锋 模范类型 modelType
 */
 export enum MODELTYPE {
    支部先锋 = 1,
    模范党员,
}


/**
 * 党员状态 partyState
 */
export enum PARTYSTATE {
    在党 = 1,
    退党
}